commit: 460deb88a1d9df1b3bfd0ed9bc0a0d64119ceab9
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May 31 15:27:55 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May 31 15:42:31 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=460deb88
dev-python/cmd2: Port to py39
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/cmd2/cmd2-0.10.1.ebuild | 2 +-
dev-python/cmd2/cmd2-1.0.2.ebuild | 7 ++++++-
2 files changed, 7 insertions(+), 2 deletions(-)
diff --git a/dev-python/cmd2/cmd2-0.10.1.ebuild
b/dev-python/cmd2/cmd2-0.10.1.ebuild
index c6dd48a3be4..e4ce45c0ea6 100644
--- a/dev-python/cmd2/cmd2-0.10.1.ebuild
+++ b/dev-python/cmd2/cmd2-0.10.1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_COMPAT=( python3_{6..9} )
inherit distutils-r1 virtualx
diff --git a/dev-python/cmd2/cmd2-1.0.2.ebuild
b/dev-python/cmd2/cmd2-1.0.2.ebuild
index 52af0aec442..0a10ae6eda4 100644
--- a/dev-python/cmd2/cmd2-1.0.2.ebuild
+++ b/dev-python/cmd2/cmd2-1.0.2.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_COMPAT=( python3_{6..9} )
inherit distutils-r1 virtualx
@@ -38,3 +38,8 @@ src_test() {
local -x COLUMNS=80
virtx distutils-r1_src_test
}
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv || die "Tests failed with ${EPYTHON}"
+}